# Class RowLink1

java.lang.Object
uk.ac.starlink.table.join.RowLink
uk.ac.starlink.table.join.RowLink1

All Implemented Interfaces:
  `Comparable<RowLink>`

public class RowLink1 extends RowLink
RowLink subclass which contains a single RowRef.

Since:
  1 Sep 2021
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`RowLink1(RowRef ref)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`RowRef`
`getRef(int i)`
Returns the `i`th row ref in this ordered sequence of refs.
`int`
`size()`
Returns the number of rows linked by this object.

### Methods inherited from class RowLink

`compareTo, createLink, equals, hashCode, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RowLink1

public RowLink1(RowRef ref)
Constructor.

Parameters:
  `ref` - sole row reference

## Method Details

### size

public int size()
Description copied from class: `RowLink`
Returns the number of rows linked by this object.

Specified by:
  `size` in class `RowLink`
Returns:
  number of RowRefs

### getRef

public RowRef getRef(int i)
Description copied from class: `RowLink`
Returns the `i`th row ref in this ordered sequence of refs. The sequence must be as defined by `RowRef.compareTo`.

Specified by:
  `getRef` in class `RowLink`
Parameters:
  `i` - index
Returns:
  RowRef at `i`